import { Sequence } from 'gensequence';
export interface ReaderOptions {
    useAnnotation?: boolean;
    maxDepth?: number;
}
export declare type AnnotatedWord = string;
interface BaseReader {
    size: number;
    annotatedWords: () => Sequence<AnnotatedWord>;
    rawWords: () => Sequence<string>;
}
export interface Reader extends BaseReader {
    [Symbol.iterator]: () => Sequence<string>;
}
export declare function createReader(filename: string, options: ReaderOptions): Promise<Reader>;
export declare function createArrayReader(lines: string[]): BaseReader;
export declare function readHunspellFiles(filename: string, options: ReaderOptions): Promise<BaseReader>;
export {};
