"use strict";
// cSpell:ignore ings ning gimuy
Object.defineProperty(exports, "__esModule", { value: true });
exports.splitCamelCaseWord = void 0;
const cspell_util_bundle_1 = require("cspell-util-bundle");
const regExUpperSOrIng = cspell_util_bundle_1.xregexp("(\\p{Lu}+'?(?:s|ing|ies|es|ings|ed|ning))(?!\\p{Ll})", 'g');
const regExSplitWords = cspell_util_bundle_1.xregexp('(\\p{Ll})(\\p{Lu})', 'g');
const regExSplitWords2 = cspell_util_bundle_1.xregexp('(\\p{Lu})(\\p{Lu}\\p{Ll})', 'g');
/**
 * Split camelCase words into an array of strings.
 */
function splitCamelCaseWord(word) {
    const wPrime = word.replace(regExUpperSOrIng, (s) => s[0] + s.substr(1).toLowerCase());
    const separator = '_<^*_*^>_';
    const pass1 = cspell_util_bundle_1.xregexp.replace(wPrime, regExSplitWords, '$1' + separator + '$2');
    const pass2 = cspell_util_bundle_1.xregexp.replace(pass1, regExSplitWords2, '$1' + separator + '$2');
    return cspell_util_bundle_1.xregexp.split(pass2, separator);
}
exports.splitCamelCaseWord = splitCamelCaseWord;
//# sourceMappingURL=text.js.map