import { Sequence } from 'gensequence';
import * as Trie from 'cspell-trie-lib';
export declare type Logger = (message?: any, ...optionalParams: any[]) => void;
export declare function setLogger(logger?: Logger): void;
declare type Normalizer = (lines: Sequence<string>) => Sequence<string>;
export declare function normalizeWords(lines: Sequence<string>): Sequence<string>;
export declare function lineToWords(line: string): Sequence<string>;
export interface CompileOptions {
    skipNormalization?: boolean;
}
export interface CompileWordListOptions extends CompileOptions {
    splitWords: boolean;
    sort: boolean;
}
export declare function compileWordList(words: Sequence<string>, destFilename: string, options: CompileWordListOptions): Promise<void>;
export declare function normalizeWordsToTrie(words: Sequence<string>, normalizer?: Normalizer): Trie.TrieRoot;
export interface CompileTrieOptions extends CompileOptions {
    base?: number;
    trie3?: boolean;
}
export declare const consolidate: typeof Trie.consolidate;
export declare function compileTrie(words: Sequence<string>, destFilename: string, options: CompileTrieOptions): Promise<void>;
export {};
